/*Multiplicar dos matrices*/

#include<stdio.h>
#include<conio.h>
#include<stdlib.h>
#include<dos.h>

#define F 3
#define C 4
void main ()
{
	int M1[F][C]={0}, M2[C][F]={0}, M3[F][F]={0},i,j,k,suma;
	
	clrscr();
	for(i=0;i<F;i++)
	{
		for(j=0;j<C;j++)
		{
			printf("Introduzca el elemento A %d%d: ",i,j);
			scanf("%d",&M1[i][j]);
		}
	}
	printf("\n");
	for(j=0;j<C;j++)
	{
		for(i=0;i<F;i++)
		{
			printf("Introduzca el elemento B %d%d: ",j,i);
			scanf("%d",&M2[j][i]);
		}
	}
	printf("\n");
	for(i=0;i<F;i++)
	{
		for(k=0;k<F;k++)
		{
			suma=0;
			for(j=0;j<C;j++)
			{
				suma=suma+M1[i][j]*M2[j][k];
			}
			M3[i][k]=suma;
		}
	}
	for(i=0;i<F;i++)
	{
		for(j=0;j<C;j++)
		{
			printf(" %3d",M1[i][j]);
		}
		printf("\n");
	}
	printf("\n");
	for(j=0;j<C;j++)
	{
		for(i=0;i<F;i++)
		{
			printf(" %3d",M2[j][i]);
		}
		printf("\n");
	}
	printf("\n");
	for(i=0;i<F;i++)
	{
		for(j=0;j<F;j++)
		{
			printf(" %3d",M3[i][j]);
		}
		printf("\n");
	}
	getch();
}